(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[     83563,       2405]
NotebookOptionsPosition[     80294,       2286]
NotebookOutlinePosition[     80824,       2307]
CellTagsIndexPosition[     80781,       2304]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Einstein Hilbert Expansion", "Title",
 CellChangeTimes->{{3.702287924545536*^9, 3.70228793034403*^9}}],

Cell[CellGroupData[{

Cell["Notation", "Section",
 CellChangeTimes->{{3.702287932415378*^9, 3.7022879333108463`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "Notation`"}]], "Input",
 CellChangeTimes->{{3.702287939480609*^9, 3.702287940935473*^9}}],

Cell[BoxData[{
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{SubsuperscriptBox["g", "\[Alpha]___", "\[Beta]___"]},
    "NotationTemplateTag"], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TemplateBox[{RowBox[{
       RowBox[{"g", "[", "\[Alpha]___", "]"}], "[", "\[Beta]___", "]"}]},
    "NotationTemplateTag"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{SubsuperscriptBox["\[Eta]", "\[Alpha]___", "\[Beta]___"]},
    "NotationTemplateTag"], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TemplateBox[{RowBox[{
       RowBox[{"\[Eta]", "[", "\[Alpha]___", "]"}], "[", "\[Beta]___", "]"}]},
    
    "NotationTemplateTag"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{SubsuperscriptBox[
      RowBox[{"h", "[", "der___", "]"}], "\[Alpha]___", "\[Beta]___"]},
    "NotationTemplateTag"], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TemplateBox[{RowBox[{
       RowBox[{
         RowBox[{"h", "[", "der___", "]"}], "[", "\[Alpha]___", "]"}], "[", 
       "\[Beta]___", "]"}]},
    "NotationTemplateTag"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{SubscriptBox["\[Rho]", "i_"]},
    "NotationTemplateTag"], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TemplateBox[{RowBox[{"\[Rho]", "[", "i_", "]"}]},
    "NotationTemplateTag"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{SubscriptBox["\[Tau]", "i_"]},
    "NotationTemplateTag"], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TemplateBox[{RowBox[{"\[Tau]", "[", "i_", "]"}]},
    "NotationTemplateTag"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{SubscriptBox["\[Iota]", "i_"]},
    "NotationTemplateTag"], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TemplateBox[{RowBox[{"\[Iota]", "[", "i_", "]"}]},
    "NotationTemplateTag"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{SubscriptBox["\[Omega]", "i_"]},
    "NotationTemplateTag"], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TemplateBox[{RowBox[{"\[Omega]", "[", "i_", "]"}]},
    "NotationTemplateTag"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.702287946960972*^9, 3.7022879967238283`*^9}, {
  3.702288046933681*^9, 3.702288061092614*^9}, {3.702288098377606*^9, 
  3.702288154456883*^9}, {3.702288210819261*^9, 3.702288214442194*^9}, {
  3.7022886806673937`*^9, 3.70228871007384*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Order of the Expansion", "Section",
 CellChangeTimes->{{3.702288473563094*^9, 3.7022884763543043`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalLambda]", "=", "4"}], ";"}]], "Input",
 CellChangeTimes->{{3.702288477023609*^9, 3.702288496040415*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Expansion of the Metric", "Section",
 CellChangeTimes->{{3.702288186618435*^9, 3.7022881900022287`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"\[Mu]_", ",", "\[Nu]_"}], "]"}], "[", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Eta]", "[", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}], "[", "]"}], "+", 
   RowBox[{"\[Epsilon]", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"h", "[", "]"}], "[", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}], "[", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.702288301610622*^9, 3.70228833845816*^9}, 
   3.702288403596764*^9, {3.70228843800956*^9, 3.702288439025236*^9}}],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Eta]", 
   RowBox[{"\[Mu]", ",", "\[Nu]"}], ""], "+", 
  RowBox[{"\[Epsilon]", " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""]}]}]], "Output",
 CellChangeTimes->{
  3.70228840481113*^9, 3.702288451711067*^9, 3.7022930272350616`*^9, 
   3.7022930763859367`*^9, {3.7022934281319237`*^9, 3.702293434653825*^9}, 
   3.702294710762011*^9, 3.702302648579671*^9, 3.702305617118762*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Expansion of the Inverse", "Section",
 CellChangeTimes->{{3.702288462452014*^9, 3.702288466866515*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"g", "[", "]"}], "[", 
    RowBox[{"\[Mu]_", ",", "\[Nu]_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Eta]", "[", "]"}], "[", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}], "+", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"n", "=", "1"}], "\[CapitalLambda]"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Epsilon]", "n"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "n"], " ", 
        RowBox[{"(", 
         RowBox[{
          UnderoverscriptBox["\[Product]", 
           RowBox[{"i", "=", "1"}], "n"], 
          RowBox[{
           RowBox[{
            RowBox[{"h", "[", "]"}], "[", 
            SubscriptBox["\[Rho]", 
             RowBox[{"i", "+", "1"}]], "]"}], "[", 
           SubscriptBox["\[Rho]", "i"], "]"}]}], ")"}], 
        RowBox[{
         RowBox[{"\[Eta]", "[", "]"}], "[", 
         RowBox[{
          SubscriptBox["\[Rho]", 
           RowBox[{"n", "+", "1"}]], ",", "\[Nu]"}], "]"}]}], "/.", 
       RowBox[{
        RowBox[{"\[Rho]", "[", "1", "]"}], "\[Rule]", "\[Mu]"}]}], 
      ")"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.702288509367198*^9, 3.7022886216668863`*^9}, 
   3.702288654405315*^9, {3.702288848990426*^9, 3.702288850331622*^9}, {
   3.7022890135735903`*^9, 3.702289017961635*^9}, {3.7022890663090363`*^9, 
   3.702289074255808*^9}, {3.702289168151985*^9, 3.702289174289917*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"checkIdentity", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}], "[", "]"}], 
    RowBox[{
     RowBox[{"g", "[", "]"}], "[", 
     RowBox[{"\[Nu]", ",", "\[Alpha]"}], "]"}]}], "//", "Expand"}]}]], "Input",\

 CellChangeTimes->{{3.7022888852761383`*^9, 3.702288910939526*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"\[Nu]", ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox["\[Eta]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""]}], "-", 
  RowBox[{"\[Epsilon]", " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "2"], ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox["\[Eta]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "\[Nu]"]}], "+", 
  RowBox[{
   SuperscriptBox["\[Epsilon]", "2"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "3"], ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox["\[Eta]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "\[Nu]"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]]}], "-", 
  RowBox[{
   SuperscriptBox["\[Epsilon]", "3"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "4"], ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox["\[Eta]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "\[Nu]"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]]}], "+", 
  RowBox[{
   SuperscriptBox["\[Epsilon]", "4"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "5"], ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox["\[Eta]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "\[Nu]"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "5"], 
    SubscriptBox["\[Rho]", "4"]]}], "+", 
  RowBox[{"\[Epsilon]", " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"\[Nu]", ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""]}], "-", 
  RowBox[{
   SuperscriptBox["\[Epsilon]", "2"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "2"], ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "\[Nu]"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""]}], "+", 
  RowBox[{
   SuperscriptBox["\[Epsilon]", "3"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "3"], ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "\[Nu]"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""]}], "-", 
  RowBox[{
   SuperscriptBox["\[Epsilon]", "4"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "4"], ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "\[Nu]"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""]}], "+", 
  RowBox[{
   SuperscriptBox["\[Epsilon]", "5"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "5"], ",", "\[Alpha]"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "\[Nu]"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "5"], 
    SubscriptBox["\[Rho]", "4"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], ""]}]}]], "Output",
 CellChangeTimes->{{3.70228890825745*^9, 3.7022889112971163`*^9}, 
   3.702289211469138*^9, 3.702293027286941*^9, 3.702293076470839*^9, {
   3.702293428198845*^9, 3.702293434721643*^9}, 3.70229471083018*^9, 
   3.702302648690909*^9, 3.702305617165778*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Index Manipulations", "Section",
 CellChangeTimes->{{3.702288942702959*^9, 3.702288946181822*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rules", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]", "[", 
         RowBox[{"\[Nu]_", ",", "\[Mu]_"}], "]"}], "[", "]"}], 
       RowBox[{
        RowBox[{"f_", "[", "IndicesDown___", "]"}], "[", 
        RowBox[{
        "SomeIndicesUp___", ",", "\[Mu]_", ",", "SomeMoreIndicesUp___"}], 
        "]"}]}], "->", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"IndicesDown", ",", "\[Nu]"}], "]"}], "[", 
       RowBox[{"SomeIndicesUp", ",", "SomeMoreIndicesUp"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]", "[", 
         RowBox[{"\[Mu]_", ",", "\[Nu]_"}], "]"}], "[", "]"}], 
       RowBox[{
        RowBox[{"f_", "[", "IndicesDown___", "]"}], "[", 
        RowBox[{
        "SomeIndicesUp___", ",", "\[Mu]_", ",", "SomeMoreIndicesUp___"}], 
        "]"}]}], "->", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"IndicesDown", ",", "\[Nu]"}], "]"}], "[", 
       RowBox[{"SomeIndicesUp", ",", "SomeMoreIndicesUp"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]", "[", "]"}], "[", 
        RowBox[{"\[Nu]_", ",", "\[Mu]_"}], "]"}], 
       RowBox[{
        RowBox[{"f_", "[", 
         RowBox[{
         "SomeIndicesDown___", ",", "\[Mu]_", ",", "SomeMoreIndicesDown___"}],
          "]"}], "[", "IndicesUp___", "]"}]}], "->", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"SomeIndicesDown", ",", "SomeMoreIndicesDown"}], "]"}], "[", 
       RowBox[{"IndicesUp", ",", "\[Nu]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]", "[", "]"}], "[", 
        RowBox[{"\[Mu]_", ",", "\[Nu]_"}], "]"}], 
       RowBox[{
        RowBox[{"f_", "[", 
         RowBox[{
         "SomeIndicesDown___", ",", "\[Mu]_", ",", "SomeMoreIndicesDown___"}],
          "]"}], "[", "IndicesUp___", "]"}]}], "->", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"SomeIndicesDown", ",", "SomeMoreIndicesDown"}], "]"}], "[", 
       RowBox[{"IndicesUp", ",", "\[Nu]"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]", "[", "\[Nu]_", "]"}], "[", "\[Mu]_", "]"}], 
       RowBox[{
        RowBox[{"f_", "[", 
         RowBox[{
         "SomeIndicesDown___", ",", "\[Mu]_", ",", "SomeMoreIndicesDown___"}],
          "]"}], "[", "IndicesUp___", "]"}]}], "->", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"SomeIndicesDown", ",", "\[Nu]", ",", "SomeMoreIndicesDown"}],
         "]"}], "[", "IndicesUp", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]", "[", "\[Nu]_", "]"}], "[", "\[Mu]_", "]"}], 
       RowBox[{
        RowBox[{"f_", "[", "IndicesDown___", "]"}], "[", 
        RowBox[{
        "SomeIndicesUp___", ",", "\[Nu]_", ",", "SomeMoreIndicesUp___"}], 
        "]"}]}], "->", 
      RowBox[{
       RowBox[{"f", "[", "IndicesDown", "]"}], "[", 
       RowBox[{"SomeIndicesUp", ",", "\[Mu]", ",", "SomeMoreIndicesUp"}], 
       "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"tensor1_", "[", 
         RowBox[{
         "SomeIndicesDown___", ",", "\[Mu]_", ",", "SomeMoreIndicesDown___"}],
          "]"}], "[", "IndicesUp___", "]"}], 
       RowBox[{
        RowBox[{"tensor2_", "[", "IndicesDown___", "]"}], "[", 
        RowBox[{
        "SomeIndicesUp___", ",", "\[Mu]_", ",", "SomeMoreIndicesUp___"}], 
        "]"}]}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"tensor1", ".", "tensor2"}], ")"}], "[", 
        RowBox[{
        "SomeIndicesDown", ",", "SomeMoreIndicesDown", ",", "IndicesDown"}], 
        "]"}], "[", 
       RowBox[{"IndicesUp", ",", "SomeIndicesUp", ",", "SomeMoreIndicesUp"}], 
       "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"tensor1_", "[", "\[Mu]_", "]"}], "[", "\[Mu]_", "]"}], 
      "\[RuleDelayed]", 
      RowBox[{"Tr", "[", "tensor1", "]"}]}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.702214654958829*^9, 3.702214801663679*^9}, {
  3.7022151591994677`*^9, 3.7022153470300283`*^9}, {3.7022153802846107`*^9, 
  3.702215390789454*^9}, {3.702215581466681*^9, 3.702215745620027*^9}, {
  3.702216658881328*^9, 3.70221667447276*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"checkIdentity", "//.", "rules"}]], "Input",
 CellChangeTimes->{{3.702289775655115*^9, 3.702289781213109*^9}}],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Eta]", "\[Mu]", "\[Alpha]"], "+", 
  RowBox[{
   SuperscriptBox["\[Epsilon]", "5"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "\[Mu]", "]"}], "[", "\[Alpha]",
     "]"}]}]}]], "Output",
 CellChangeTimes->{{3.702289777256703*^9, 3.70228978350592*^9}, {
   3.702290082937159*^9, 3.702290085874618*^9}, 3.702293027337636*^9, 
   3.702293076520577*^9, {3.7022934282475357`*^9, 3.7022934347634563`*^9}, 
   3.7022947108810873`*^9, 3.702302648774123*^9, 3.702304349800235*^9, {
   3.7023056172564793`*^9, 3.702305628108198*^9}, 3.7023056659672318`*^9, 
   3.702305703917449*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Expansion of ",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"Det", 
     RowBox[{"(", "g", ")"}]}]], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Section",
 CellChangeTimes->{{3.702290305304943*^9, 3.7022903117251453`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LogC", "[", "n_", "]"}], "=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{"n", "\[GreaterEqual]", "1"}], ",", 
    RowBox[{"SeriesCoefficient", "[", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"1", "+", "h"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "0", ",", "n"}], "}"}]}], "]"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.70229038113459*^9, 3.702290427004046*^9}}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"-", "1"}], ")"}], 
   RowBox[{"1", "+", "n"}]], "n"]], "Output",
 CellChangeTimes->{{3.702290391841526*^9, 3.7022904294974127`*^9}, 
   3.702293027372191*^9, 3.702293076553526*^9, {3.702293428271472*^9, 
   3.70229343478458*^9}, 3.7022947109310226`*^9, 3.7023026488529778`*^9, 
   3.702305617286561*^9, 3.702305707037718*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SqrtG", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"LogC", "[", "n", "]"}], 
         SuperscriptBox["\[Epsilon]", "n"], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{"Dot", "@@", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"h", "[", "]"}], ",", 
             RowBox[{"{", "n", "}"}]}], "]"}]}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"n", ",", "\[CapitalLambda]"}], "}"}]}], "]"}]}], "//", 
     "Exp"}], "//", 
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]", ",", "0", ",", "\[CapitalLambda]"}], "}"}]}], 
      "]"}], "&"}]}], "//", "Normal"}]}]], "Input",
 CellChangeTimes->{{3.70229043675561*^9, 3.702290601207931*^9}, {
  3.702290650789072*^9, 3.702290652941762*^9}, {3.7022939922167253`*^9, 
  3.702293994102593*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "\[Epsilon]", " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox["\[Epsilon]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}]}], "]"}]}], "+", 
     SuperscriptBox[
      RowBox[{"Tr", "[", 
       RowBox[{"h", "[", "]"}], "]"}], "2"]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["1", "48"], " ", 
   SuperscriptBox["\[Epsilon]", "3"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}]}], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}]}], "]"}], " ", 
      RowBox[{"Tr", "[", 
       RowBox[{"h", "[", "]"}], "]"}]}], "+", 
     SuperscriptBox[
      RowBox[{"Tr", "[", 
       RowBox[{"h", "[", "]"}], "]"}], "3"]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["1", "384"], " ", 
   SuperscriptBox["\[Epsilon]", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"12", " ", 
      SuperscriptBox[
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"h", "[", "]"}], ".", 
         RowBox[{"h", "[", "]"}]}], "]"}], "2"]}], "-", 
     RowBox[{"48", " ", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}]}], "]"}]}], "+", 
     RowBox[{"32", " ", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}]}], "]"}], " ", 
      RowBox[{"Tr", "[", 
       RowBox[{"h", "[", "]"}], "]"}]}], "-", 
     RowBox[{"12", " ", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"h", "[", "]"}], ".", 
        RowBox[{"h", "[", "]"}]}], "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Tr", "[", 
        RowBox[{"h", "[", "]"}], "]"}], "2"]}], "+", 
     SuperscriptBox[
      RowBox[{"Tr", "[", 
       RowBox[{"h", "[", "]"}], "]"}], "4"]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.702290527127018*^9, 3.702290564661672*^9}, {
   3.7022905980689993`*^9, 3.7022906019416847`*^9}, 3.702290659533753*^9, 
   3.702293027403819*^9, 3.7022930765779877`*^9, {3.702293428305727*^9, 
   3.702293434822125*^9}, 3.702293994419979*^9, 3.7022947109642982`*^9, 
   3.7023026490183363`*^9, 3.7023056173111753`*^9, 3.702305707684835*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Expansion of Christoffel", "Section",
 CellChangeTimes->{{3.7022913177432203`*^9, 3.702291323341655*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnbGOFcsRhle2A4d+ABIHJERkOMSh02vWOVfGVyYAxLVkOUG8AhI8ANmS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    "], {{0, 86}, {540, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{540, 86},
  PlotRange->{{0, 540}, {0, 86}}]], "Text",
 CellChangeTimes->{3.702291343559848*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalGamma]", "[", 
   RowBox[{"l_", ",", "j_", ",", "k_"}], "]"}], "=", 
  RowBox[{"Expand", "[", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{
     RowBox[{"g", "[", "]"}], "[", 
     RowBox[{"l", ",", "r"}], "]"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"h", "[", "k", "]"}], "[", 
        RowBox[{"r", ",", "j"}], "]"}], "[", "]"}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"h", "[", "j", "]"}], "[", 
        RowBox[{"r", ",", "k"}], "]"}], "[", "]"}], "-", 
      RowBox[{
       RowBox[{
        RowBox[{"h", "[", "r", "]"}], "[", 
        RowBox[{"j", ",", "k"}], "]"}], "[", "]"}]}], ")"}], "\[Epsilon]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.702291379532284*^9, 3.702291461208644*^9}, {
   3.7022915909345713`*^9, 3.702291615549819*^9}, 3.7022916510254173`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", "\[Epsilon]", " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"l", ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "j", "]"}], 
    RowBox[{"r", ",", "k"}], ""]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "2"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "2"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "j", "]"}], 
    RowBox[{"r", ",", "k"}], ""]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "3"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "3"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "j", "]"}], 
    RowBox[{"r", ",", "k"}], ""]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "4"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "4"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "j", "]"}], 
    RowBox[{"r", ",", "k"}], ""]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "5"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "5"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "5"], 
    SubscriptBox["\[Rho]", "4"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "j", "]"}], 
    RowBox[{"r", ",", "k"}], ""]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "\[Epsilon]", " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"l", ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "k", "]"}], 
    RowBox[{"r", ",", "j"}], ""]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "2"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "2"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "k", "]"}], 
    RowBox[{"r", ",", "j"}], ""]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "3"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "3"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "k", "]"}], 
    RowBox[{"r", ",", "j"}], ""]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "4"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "4"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "k", "]"}], 
    RowBox[{"r", ",", "j"}], ""]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "5"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "5"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "5"], 
    SubscriptBox["\[Rho]", "4"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "k", "]"}], 
    RowBox[{"r", ",", "j"}], ""]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", "\[Epsilon]", " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"l", ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "r", "]"}], 
    RowBox[{"j", ",", "k"}], ""]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "2"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "2"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "r", "]"}], 
    RowBox[{"j", ",", "k"}], ""]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "3"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "3"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "r", "]"}], 
    RowBox[{"j", ",", "k"}], ""]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "4"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "4"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "r", "]"}], 
    RowBox[{"j", ",", "k"}], ""]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["\[Epsilon]", "5"], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{
     SubscriptBox["\[Rho]", "5"], ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "2"], "l"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "3"], 
    SubscriptBox["\[Rho]", "2"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "4"], 
    SubscriptBox["\[Rho]", "3"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], 
    SubscriptBox["\[Rho]", "5"], 
    SubscriptBox["\[Rho]", "4"]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "r", "]"}], 
    RowBox[{"j", ",", "k"}], ""]}]}]], "Output",
 CellChangeTimes->{{3.702291410897553*^9, 3.702291461622471*^9}, {
   3.70229162273333*^9, 3.702291651410132*^9}, 3.7022930274253607`*^9, 
   3.702293076610283*^9, {3.702293428339099*^9, 3.702293434855743*^9}, 
   3.702294710996152*^9, 3.702302649184682*^9, 3.702305617355348*^9, 
   3.7023057098408012`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]", "[", 
    RowBox[{"l", ",", "j", ",", "k"}], "]"}], "//.", "rules"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.702291663083234*^9, 3.702291681589595*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Expansion of Riemann", "Section",
 CellChangeTimes->{{3.702291687332209*^9, 3.7022916897793913`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnT2vZ7URxpckRcp8AYoUUEADXaqIlGkJu/2uwqKARHiJFFKAaKBeBPSL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    "], {{0, 62}, {656, 
    0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{656, 62},
  PlotRange->{{0, 656}, {0, 62}}]], "Text",
 CellChangeTimes->{3.70221757077757*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalGamma]", "[", 
      RowBox[{"\[Alpha]", ",", "\[Nu]", ",", "\[Sigma]"}], "]"}], "/.", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"h", "[", "der___", "]"}], "[", "down___", "]"}], "[", 
       "up___", "]"}], "->", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"h", "[", "der", "]"}], "[", "down", "]"}], "[", "up", "]"}],
        "+", 
       RowBox[{"\[Delta]", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"h", "[", 
           RowBox[{"\[Mu]", ",", "der"}], "]"}], "[", "down", "]"}], "[", 
         "up", "]"}]}]}]}]}], "//", 
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"#", ",", "\[Delta]"}], "]"}], "&"}]}], ")"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]", "[", 
    RowBox[{"\[Alpha]", ",", "\[Mu]", ",", "\[Lambda]"}], "]"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"\[CapitalGamma]", "[", 
       RowBox[{"\[Lambda]", ",", "\[Nu]", ",", "\[Sigma]"}], "]"}], "/.", 
      RowBox[{"\[Rho]", "\[Rule]", "\[Iota]"}]}], "/.", 
     RowBox[{"r", "\[Rule]", "p"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Riemann", "[", 
    RowBox[{"\[Alpha]_", ",", "\[Sigma]_", ",", "\[Mu]_", ",", "\[Nu]_"}], 
    "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"%", "+", "%%"}], "//", 
      RowBox[{
       RowBox[{"#", "-", 
        RowBox[{"(", 
         RowBox[{"#", "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Mu]", "\[Rule]", "\[Nu]"}], ",", 
            RowBox[{"\[Nu]", "\[Rule]", "\[Mu]"}]}], "}"}]}], ")"}]}], 
       "&"}]}], "//", 
     RowBox[{
      RowBox[{"Series", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"\[Epsilon]", ",", "0", ",", "\[CapitalLambda]"}], "}"}]}], 
       "]"}], "&"}]}], "//", "Normal"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7022917224189777`*^9, 3.702291742860018*^9}, {
   3.702291775116918*^9, 3.7022918328765078`*^9}, {3.702291953687716*^9, 
   3.7022919538991747`*^9}, {3.702292063575782*^9, 3.702292203943338*^9}, 
   3.702292295343648*^9, {3.702293160424981*^9, 3.702293162320168*^9}, {
   3.702293404329809*^9, 3.702293433728064*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Expansion of the Action", "Section",
 CellChangeTimes->{{3.702292305855567*^9, 3.7022923085276403`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"action", "=", 
   RowBox[{
    RowBox[{"Expand", "@", 
     RowBox[{"Normal", "@", 
      RowBox[{"Series", "[", 
       RowBox[{
        RowBox[{"SqrtG", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"g", "[", "]"}], "[", 
            RowBox[{"\[Sigma]", ",", "\[Nu]"}], "]"}], "/.", 
           RowBox[{"\[Rho]", "\[Rule]", "\[Omega]"}]}], ")"}], 
         RowBox[{"Riemann", "[", 
          RowBox[{
          "\[Alpha]", ",", "\[Sigma]", ",", "\[Alpha]", ",", "\[Nu]"}], 
          "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Epsilon]", ",", "0", ",", "\[CapitalLambda]"}], "}"}]}], 
       "]"}]}]}], "//.", "rules"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.702292311697783*^9, 3.702292442327423*^9}, {
   3.702292818894953*^9, 3.70229284775233*^9}, {3.7022928801948833`*^9, 
   3.702292893231971*^9}, {3.7022929461699247`*^9, 3.702292973808157*^9}, {
   3.702293875470603*^9, 3.7022939237685623`*^9}, 3.702294001574493*^9, {
   3.702294629719122*^9, 3.702294651353429*^9}, {3.702302805283381*^9, 
   3.7023028079042597`*^9}, {3.702305719988594*^9, 3.702305720658001*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Simplifying the Result", "Section",
 CellChangeTimes->{{3.702294832035838*^9, 3.702294836409792*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"quadractic", "=", 
   RowBox[{"Coefficient", "[", 
    RowBox[{"action", ",", "\[Epsilon]", ",", "2"}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.702294846496768*^9, 3.702294853624093*^9}, 
   3.702305733250005*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"indices", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"action", ",", 
      RowBox[{
       RowBox[{"h", "[", "a__", "]"}], "\[RuleDelayed]", "a"}], ",", 
      "\[Infinity]"}], "]"}], "~", "Join", "~", 
    RowBox[{"Cases", "[", 
     RowBox[{"action", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]", "[", "]"}], "[", "a__", "]"}], "\[RuleDelayed]", 
       "a"}], ",", "\[Infinity]"}], "]"}]}], "//", "Union"}]}]], "Input",
 CellChangeTimes->{{3.702294886305724*^9, 3.7022949678064613`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "p", ",", "r", ",", "\[Alpha]", ",", "\[Lambda]", ",", "\[Nu]", ",", 
   "\[Sigma]"}], "}"}]], "Output",
 CellChangeTimes->{{3.702294914819909*^9, 3.702294917087597*^9}, {
   3.70229495169906*^9, 3.702294968702009*^9}, 3.7023026581715527`*^9, 
   3.702302817247994*^9, 3.702305734844639*^9, 3.702305805501863*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"canonical", "[", "term_", "]"}], ":=", 
  RowBox[{"First", "@", 
   RowBox[{"Sort", "@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"term", "/.", 
        RowBox[{"Inner", "[", 
         RowBox[{"Rule", ",", "indices", ",", "perm", ",", "List"}], "]"}]}], 
       "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"h", "[", "a__", "]"}], "[", "]"}], "[", "b__", "]"}], 
          "\[RuleDelayed]", 
          RowBox[{
           RowBox[{
            RowBox[{"Sort", "[", 
             RowBox[{"h", "[", "a", "]"}], "]"}], "[", "]"}], "@@", 
           RowBox[{"Sort", "[", 
            RowBox[{"{", "b", "}"}], "]"}]}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Eta]", "[", "a__", "]"}], "[", "b__", "]"}], 
          "\[RuleDelayed]", 
          RowBox[{
           RowBox[{"Sort", "[", 
            RowBox[{"\[Eta]", "[", "a", "]"}], "]"}], "@@", 
           RowBox[{"Sort", "[", 
            RowBox[{"{", "b", "}"}], "]"}]}]}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"perm", ",", 
        RowBox[{"Permutations", "[", "indices", "]"}]}], "}"}]}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.702294974645083*^9, 3.702295084668129*^9}, {
  3.702295263525738*^9, 3.702295299736177*^9}, {3.702295338190833*^9, 
  3.70229534929348*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"quadracticAction", "=", 
  RowBox[{"canonical", "/@", 
   RowBox[{"Expand", "[", "quadractic", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7022953231375093`*^9, 3.7022953859999647`*^9}, {
  3.7023060046674223`*^9, 3.702306018337268*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", 
      RowBox[{"p", ",", "r"}], "]"}]}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", 
      RowBox[{"r", ",", "p"}], "]"}]}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["3", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "r", "]"}], ".", 
     RowBox[{"h", "[", "p", "]"}]}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "p", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"r", ",", "p"}], "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"h", "[", "]"}], ".", 
      RowBox[{"h", "[", 
       RowBox[{"p", ",", "r"}], "]"}]}], ")"}], "[", "]"}], "[", 
   RowBox[{"p", ",", "r"}], "]"}], "-", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"h", "[", "p", "]"}], ".", 
      RowBox[{"h", "[", "r", "]"}]}], ")"}], "[", "]"}], "[", 
   RowBox[{"p", ",", "r"}], "]"}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "r", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"r", ",", "p"}], "]"}]}], "-", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"h", "[", 
       RowBox[{"p", ",", "r"}], "]"}], ".", 
      RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
   RowBox[{"p", ",", "r"}], "]"}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"r", ",", "p"}], "]"}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "p", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "", 
    RowBox[{"p", ",", "r"}]]}]}]], "Output",
 CellChangeTimes->{{3.702295321498198*^9, 3.702295387838463*^9}, 
   3.702302658777986*^9, 3.702302817873878*^9, 3.702305775366106*^9, 
   3.702305806057094*^9, {3.702306008984153*^9, 3.702306021033519*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"cubic", "=", 
   RowBox[{"Coefficient", "[", 
    RowBox[{"action", ",", "\[Epsilon]", ",", "3"}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.702295416759047*^9, 3.702295422889873*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"canonical", "/@", 
  RowBox[{"Expand", "[", "cubic", "]"}]}]], "Input",
 CellChangeTimes->{{3.7022954243416443`*^9, 3.702295429123156*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "2"]}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", 
      RowBox[{"p", ",", "r"}], "]"}]}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", 
      RowBox[{"r", ",", "p"}], "]"}]}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "r", "]"}], ".", 
     RowBox[{"h", "[", "p", "]"}]}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "r", "]"}], ".", 
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "p", "]"}]}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", 
      RowBox[{"p", ",", "r"}], "]"}]}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", 
      RowBox[{"r", ",", "p"}], "]"}]}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["3", "8"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "r", "]"}], ".", 
     RowBox[{"h", "[", "p", "]"}]}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "r", "]"}]}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "p", "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "p", "]"}]}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "p", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "]"}]}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "16"], " ", 
   SuperscriptBox[
    RowBox[{"Tr", "[", 
     RowBox[{"h", "[", "]"}], "]"}], "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "]"}]}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"r", ",", "p"}], "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "16"], " ", 
   SuperscriptBox[
    RowBox[{"Tr", "[", 
     RowBox[{"h", "[", "]"}], "]"}], "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"r", ",", "p"}], "]"}], "]"}], " ", 
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"r", ",", "p"}], "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "p", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "p", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"r", ",", "p"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", 
        RowBox[{"p", ",", "r"}], "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"r", ",", "p"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "r", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "r", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"r", ",", "p"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", 
        RowBox[{"p", ",", "r"}], "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"h", "[", "]"}], ".", 
      RowBox[{"h", "[", "]"}], ".", 
      RowBox[{"h", "[", 
       RowBox[{"p", ",", "r"}], "]"}]}], ")"}], "[", "]"}], "[", 
   RowBox[{"p", ",", "r"}], "]"}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", 
        RowBox[{"p", ",", "r"}], "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"r", ",", "p"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "r", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", 
        RowBox[{"p", ",", "r"}], "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", 
        RowBox[{"p", ",", "r"}], "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"r", ",", "p"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "r", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["3", "2"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "r", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"r", ",", "p"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", "p", "]"}], ".", 
       RowBox[{"h", "[", "r", "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"p", ",", "r"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"h", "[", 
       RowBox[{"p", ",", "r"}], "]"}], ".", 
      RowBox[{"h", "[", "]"}], ".", 
      RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
   RowBox[{"p", ",", "r"}], "]"}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"h", "[", 
        RowBox[{"p", ",", "r"}], "]"}], ".", 
       RowBox[{"h", "[", "]"}], ".", 
       RowBox[{"h", "[", "]"}]}], ")"}], "[", "]"}], "[", 
    RowBox[{"r", ",", "p"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", 
      RowBox[{"p", ",", "r"}], "]"}]}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", 
      RowBox[{"r", ",", "p"}], "]"}]}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["3", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "r", "]"}], ".", 
     RowBox[{"h", "[", "p", "]"}]}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "p", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"r", ",", "p"}], "]"}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "r", "]"}]}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "p", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "]"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", "r", "]"}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", "p", "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "-", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"h", "[", "]"}], ".", 
     RowBox[{"h", "[", "]"}]}], "]"}], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "", 
    RowBox[{"p", ",", "r"}]]}], "+", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"Tr", "[", 
     RowBox[{"h", "[", "]"}], "]"}], "2"], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], "", 
    RowBox[{"p", ",", "r"}]]}]}]], "Output",
 CellChangeTimes->{
  3.702295506684959*^9, 3.702302660563168*^9, 3.7023028195860233`*^9, {
   3.702305785750248*^9, 3.702305807841054*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Check of Linearized Equations of Motion", "Section",
 CellChangeTimes->{{3.702302644704521*^9, 3.702302645095285*^9}, {
  3.7023030317681026`*^9, 3.702303036085204*^9}}],

Cell[BoxData[
 RowBox[{"PutIndices", "=", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", "a_", "]"}], "\[RuleDelayed]", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"\[Kappa]\[Kappa]", "=", 
         RowBox[{"Unique", "[", "\[Kappa]", "]"}]}], ",", 
        RowBox[{"\[Alpha]\[Alpha]", "=", 
         RowBox[{"Unique", "[", "\[Alpha]", "]"}]}]}], "]"}], 
      RowBox[{
       RowBox[{"\[Eta]", "[", 
        RowBox[{"\[Kappa]\[Kappa]", ",", "\[Alpha]\[Alpha]"}], "]"}], "[", 
       "]"}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"c_Dot", "[", "]"}], "[", 
      RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Product", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
            "c", "\[LeftDoubleBracket]", "\[Beta]", "\[RightDoubleBracket]"}],
             "[", 
            RowBox[{"\[Omega]", "[", 
             RowBox[{"\[Beta]", "+", "1"}], "]"}], "]"}], "[", 
           RowBox[{"\[Omega]", "[", "\[Beta]", "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Beta]", ",", 
            RowBox[{"Length", "[", "c", "]"}]}], "}"}]}], "]"}], 
        RowBox[{
         RowBox[{"\[Eta]", "[", "]"}], "[", 
         RowBox[{
          RowBox[{"\[Omega]", "[", 
           RowBox[{
            RowBox[{"Length", "[", "c", "]"}], "+", "1"}], "]"}], ",", "b"}], 
         "]"}]}], "/.", 
       RowBox[{
        RowBox[{"\[Omega]", "[", "1", "]"}], "\[Rule]", "a"}]}], ")"}]}]}], 
   "\[IndentingNewLine]", "}"}]}]], "Input",
 CellChangeTimes->{{3.702222985176309*^9, 3.702223069300809*^9}, {
  3.702223117428746*^9, 3.702223118167111*^9}, {3.702223223463353*^9, 
  3.702223297129992*^9}, {3.7022233580474577`*^9, 3.702223414492649*^9}, {
  3.702224270774703*^9, 3.7022242892204933`*^9}, {3.702224450015025*^9, 
  3.702224459860608*^9}, {3.702225933290265*^9, 3.702225950344026*^9}, {
  3.702302367138586*^9, 3.702302370740965*^9}, {3.70230251177561*^9, 
  3.702302525021736*^9}, {3.7023028860373573`*^9, 3.7023028942862473`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"quadracticAction", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "//.", "PutIndices"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"%", "/.", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"h", "[", "der__", "]"}], "[", "down___", "]"}], "[", "up___", 
      "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"h", "[", "der", "]"}], "[", "down", "]"}], "[", "up", "]"}], 
      "+", 
      RowBox[{"\[Delta]", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Delta]h", "[", "der", "]"}], "[", "down", "]"}], "[", 
        "up", "]"}]}]}]}]}], "//", 
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{"#", ",", "\[Delta]", ",", "1"}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "//.", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Delta]h", "[", 
        RowBox[{"index_", ",", "more___"}], "]"}], "[", "down___", "]"}], "[",
       "up___", "]"}], 
     RowBox[{
      RowBox[{
       RowBox[{"h", "[", "der2___", "]"}], "[", "down2___", "]"}], "[", 
      "up2___", "]"}]}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Delta]h", "[", "more", "]"}], "[", "down", "]"}], "[", 
       "up", "]"}]}], 
     RowBox[{
      RowBox[{
       RowBox[{"h", "[", 
        RowBox[{"index", ",", "der2"}], "]"}], "[", "down2", "]"}], "[", 
      "up2", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Delta]h", "[", "]"}], "[", "a_", "]"}], "[", "b_", "]"}], 
      "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[Delta]h", "[", "]"}], "[", "]"}], "[", 
        RowBox[{"ii", ",", "jj"}], "]"}], 
       RowBox[{
        RowBox[{"\[Eta]", "[", 
         RowBox[{"ii", ",", "a"}], "]"}], "[", "]"}], 
       RowBox[{
        RowBox[{"\[Eta]", "[", "jj", "]"}], "[", "b", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Delta]h", "[", "]"}], "[", "]"}], "[", 
       RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[Delta]h", "[", "]"}], "[", "]"}], "[", 
        RowBox[{"ii", ",", "jj"}], "]"}], 
       RowBox[{
        RowBox[{"\[Eta]", "[", "ii", "]"}], "[", "a", "]"}], 
       RowBox[{
        RowBox[{"\[Eta]", "[", "jj", "]"}], "[", "b", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Delta]h", "[", "]"}], "[", 
        RowBox[{"a_", ",", "b_"}], "]"}], "[", "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[Delta]h", "[", "]"}], "[", "]"}], "[", 
        RowBox[{"ii", ",", "jj"}], "]"}], 
       RowBox[{
        RowBox[{"\[Eta]", "[", 
         RowBox[{"ii", ",", "a"}], "]"}], "[", "]"}], 
       RowBox[{
        RowBox[{"\[Eta]", "[", 
         RowBox[{"jj", ",", "b"}], "]"}], "[", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "//", 
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{"#", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Delta]h", "[", "]"}], "[", "]"}], "[", 
       RowBox[{"ii", ",", "jj"}], "]"}]}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "//.", "rules"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"2", "%"}], "//.", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]", "[", "a_", "]"}], "[", "b_", "]"}], "c_"}], 
      "\[RuleDelayed]", 
      RowBox[{"(", 
       RowBox[{"c", "/.", 
        RowBox[{"b", "\[Rule]", "a"}]}], ")"}]}]}], "/.", 
    RowBox[{"c_h", "\[RuleDelayed]", 
     RowBox[{"Sort", "[", "c", "]"}]}]}], "/.", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"h", "[", "a__", "]"}], "[", "]"}], "[", 
     RowBox[{"c_", ",", "d_"}], "]"}], ":>", 
    RowBox[{
     RowBox[{
      RowBox[{"h", "[", "a", "]"}], "[", "]"}], "@@", 
     RowBox[{"Sort", "[", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], "]"}]}]}]}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.702223070285522*^9, 3.702223074014502*^9}, {
   3.702223304249496*^9, 3.702223314122632*^9}, {3.702223536406837*^9, 
   3.702223947931714*^9}, {3.70222403269627*^9, 3.70222403517587*^9}, {
   3.7022240848862553`*^9, 3.702224085077776*^9}, {3.702224129427644*^9, 
   3.702224173138804*^9}, {3.702224692667021*^9, 3.702224724080242*^9}, {
   3.702224770374331*^9, 3.702224865481964*^9}, {3.7022249535591393`*^9, 
   3.7022249951797953`*^9}, {3.702225966551364*^9, 3.702226008893189*^9}, {
   3.702227173352129*^9, 3.702227176055805*^9}, {3.7022274319023*^9, 
   3.702227432211194*^9}, {3.702302831752756*^9, 3.702302834616865*^9}, {
   3.702302916291018*^9, 3.702302916771797*^9}, {3.702302995938736*^9, 
   3.702303025849072*^9}, 3.7023059914012213`*^9, {3.702306024694454*^9, 
   3.702306038339233*^9}, {3.702306455985807*^9, 3.7023064834857388`*^9}, {
   3.7023065418136578`*^9, 3.702306549363999*^9}, {3.702306643549511*^9, 
   3.70230664766945*^9}, {3.7023067652875013`*^9, 3.702306799405553*^9}, {
   3.7023068302725153`*^9, 3.702306831424016*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"ii", ",", "jj"}], "]"}], "]"}]}], "+", 
  SubsuperscriptBox[
   RowBox[{"h", "[", 
    RowBox[{"ii", ",", "r"}], "]"}], "jj", "r"], "+", 
  SubsuperscriptBox[
   RowBox[{"h", "[", 
    RowBox[{"jj", ",", "p"}], "]"}], "ii", "p"], "-", 
  RowBox[{
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], 
    RowBox[{"jj", ",", "ii"}], ""]}]}]], "Output",
 CellChangeTimes->{
  3.702223074393341*^9, 3.702223120859611*^9, 3.7022232399541693`*^9, {
   3.7022232995745087`*^9, 3.70222331443646*^9}, {3.702223402552958*^9, 
   3.702223415219592*^9}, {3.702223527130694*^9, 3.702223537203829*^9}, 
   3.7022235944805393`*^9, {3.70222362811965*^9, 3.702223633968994*^9}, {
   3.702223713308589*^9, 3.702223750981258*^9}, {3.702223807049838*^9, 
   3.702223818433125*^9}, {3.7022238614650784`*^9, 3.702223948335607*^9}, 
   3.702224036813987*^9, 3.702224087261709*^9, 3.702224130281663*^9, 
   3.702224180258623*^9, 3.702224254236291*^9, 3.702224291039302*^9, 
   3.7022244623559933`*^9, 3.702224724558474*^9, 3.702224778200099*^9, {
   3.702224819493188*^9, 3.7022248658755007`*^9}, {3.702224984103403*^9, 
   3.702224995591007*^9}, {3.702225951891685*^9, 3.7022260095232*^9}, {
   3.702227158223297*^9, 3.702227176368595*^9}, 3.7022273291537027`*^9, 
   3.702227432633498*^9, 3.702228033828886*^9, 3.702294275724203*^9, 
   3.702294316746647*^9, 3.702302442780685*^9, 3.7023025280196466`*^9, 
   3.7023025926791487`*^9, 3.702302660727453*^9, {3.702302822773445*^9, 
   3.702302835095113*^9}, {3.7023029056935987`*^9, 3.702302917230475*^9}, {
   3.702303000398006*^9, 3.702303026440546*^9}, {3.702305973881385*^9, 
   3.702305992173645*^9}, {3.702306025147376*^9, 3.702306038535067*^9}, {
   3.7023064588310328`*^9, 3.70230648404714*^9}, 3.702306550009459*^9, 
   3.7023066480874643`*^9, {3.7023067667465887`*^9, 3.7023068005275307`*^9}, 
   3.702306831815681*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"einstein", "=", 
  RowBox[{
   RowBox[{"canonical", "/@", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"2", 
        RowBox[{"Riemann", "[", 
         RowBox[{"\[Lambda]", ",", "ii", ",", "\[Lambda]", ",", "jj"}], 
         "]"}]}], ",", "\[Epsilon]"}], "]"}], "]"}]}], "//.", 
   "rules"}]}]], "Input",
 CellChangeTimes->{{3.702224557328265*^9, 3.7022246795218763`*^9}, {
   3.702224754648217*^9, 3.702224755926462*^9}, {3.702224844026588*^9, 
   3.7022248501236973`*^9}, {3.7022261276811457`*^9, 3.702226128775481*^9}, {
   3.7022267066369667`*^9, 3.70222670767665*^9}, {3.702226755813352*^9, 
   3.702226867781624*^9}, {3.702227351367037*^9, 3.702227452962628*^9}, {
   3.702227580444722*^9, 3.7022276111620007`*^9}, 3.7022280400718517`*^9, {
   3.702302686327833*^9, 3.702302748714473*^9}, {3.702302923109809*^9, 
   3.7023029349785137`*^9}, {3.702306031042411*^9, 3.702306031944436*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"Tr", "[", 
    RowBox[{"h", "[", 
     RowBox[{"jj", ",", "ii"}], "]"}], "]"}]}], "+", 
  SubsuperscriptBox[
   RowBox[{"h", "[", 
    RowBox[{"p", ",", "ii"}], "]"}], "jj", "p"], "+", 
  SubsuperscriptBox[
   RowBox[{"h", "[", 
    RowBox[{"p", ",", "jj"}], "]"}], "ii", "p"], "-", 
  RowBox[{
   SubsuperscriptBox["\[Eta]", "", 
    RowBox[{"p", ",", "r"}]], " ", 
   SubsuperscriptBox[
    RowBox[{"h", "[", 
     RowBox[{"p", ",", "r"}], "]"}], 
    RowBox[{"jj", ",", "ii"}], ""]}]}]], "Output",
 CellChangeTimes->{{3.702227412682955*^9, 3.7022274516970387`*^9}, 
   3.7022276119844112`*^9, 3.702227649490415*^9, {3.702228033967009*^9, 
   3.702228040381703*^9}, 3.7022942758699417`*^9, 3.702294316895357*^9, 
   3.702302442907804*^9, 3.7023025928379374`*^9, {3.7023026608396*^9, 
   3.7023027490580482`*^9}, {3.702302923376231*^9, 3.702302935215691*^9}, 
   3.702305975580468*^9, 3.702306033277451*^9, 3.702306862959715*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1024, 683},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
ShowSelection->True,
Magnification:>1.25 Inherited,
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 28, \
2016)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 108, 1, 75, "Title"],
Cell[CellGroupData[{
Cell[555, 20, 95, 1, 91, "Section"],
Cell[653, 23, 119, 2, 52, "Input"],
Cell[775, 27, 2459, 53, 331, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[3271, 85, 109, 1, 53, "Section"],
Cell[3383, 88, 148, 3, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[3568, 96, 110, 1, 53, "Section"],
Cell[CellGroupData[{
Cell[3703, 101, 539, 15, 52, "Input"],
Cell[4245, 118, 476, 11, 57, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[4770, 135, 109, 1, 53, "Section"],
Cell[4882, 138, 1488, 41, 84, "Input"],
Cell[CellGroupData[{
Cell[6395, 183, 363, 11, 52, "Input"],
Cell[6761, 196, 5020, 147, 125, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[11830, 349, 104, 1, 53, "Section"],
Cell[11937, 352, 4444, 119, 521, "Input"],
Cell[CellGroupData[{
Cell[16406, 475, 133, 2, 52, "Input"],
Cell[16542, 479, 840, 20, 56, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[17431, 505, 259, 9, 72, "Section"],
Cell[CellGroupData[{
Cell[17715, 518, 445, 13, 52, "Input"],
Cell[18163, 533, 401, 9, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18601, 547, 993, 29, 100, "Input"],
Cell[19597, 578, 2754, 82, 190, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[22400, 666, 111, 1, 53, "Section"],
Cell[22514, 669, 5674, 98, 125, "Text"],
Cell[CellGroupData[{
Cell[28213, 771, 880, 26, 71, "Input"],
Cell[29096, 799, 7926, 243, 289, "Output"]
}, Open  ]],
Cell[37037, 1045, 220, 6, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[37294, 1056, 107, 1, 53, "Section"],
Cell[37404, 1059, 6865, 118, 92, "Text"],
Cell[44272, 1179, 2310, 66, 157, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[46619, 1250, 110, 1, 53, "Section"],
Cell[46732, 1253, 1164, 27, 79, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[47933, 1285, 107, 1, 53, "Section"],
Cell[48043, 1288, 258, 7, 52, "Input"],
Cell[CellGroupData[{
Cell[48326, 1299, 557, 15, 52, "Input"],
Cell[48886, 1316, 355, 7, 52, "Output"]
}, Open  ]],
Cell[49256, 1326, 1415, 40, 157, "Input"],
Cell[CellGroupData[{
Cell[50696, 1370, 260, 5, 52, "Input"],
Cell[50959, 1377, 3608, 118, 245, "Output"]
}, Open  ]],
Cell[54582, 1498, 227, 6, 52, "Input"],
Cell[CellGroupData[{
Cell[54834, 1508, 163, 3, 52, "Input"],
Cell[55000, 1513, 13463, 455, 777, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[68512, 1974, 175, 2, 53, "Section"],
Cell[68690, 1978, 2184, 54, 157, "Input"],
Cell[CellGroupData[{
Cell[70899, 2036, 5310, 153, 365, "Input"],
Cell[76212, 2191, 2056, 40, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78305, 2236, 964, 19, 52, "Input"],
Cell[79272, 2257, 982, 24, 57, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

